Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List features

Retrieves a list of features meeting all the conditions specified in the filter parameters.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/features

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
name[<operator>]

optional, string filter

A case-sensitive unique name for the feature. For example: user license , data storage , Salesforce Integration , devices , UHD Streaming , and so on.

Note: This name is not displayed on any customer-facing documents or pages such as invoice PDFs or hosted pages. However, in the future, it is likely to be introduced on the Self-Serve Portal . Supported operators : is, is_not, starts_with, in, not_in

Example → name[is] = "User licenses"

Supported operators: is, is_not, starts_with, in, not_in
Example → User licenses
id[<operator>]

optional, string filter

A unique and immutable identifier for the feature. You can set it yourself, in which case it is recommended that a human-readable format (or slug) be used. For example, number-of-users-ccjht01. When not provided, a random value is automatically set. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "fea-user-licenses"

Supported operators: is, is_not, starts_with, in, not_in
Example → fea-user-licenses
status[<operator>]

optional, enumerated string filter

The current status of the feature. Possible values are : active, archived, draft.

Supported operators : is, is_not, in, not_in

Example → status[is] = "active"

Supported operators: is, is_not, in, not_in
Example → active
type[<operator>]

optional, enumerated string filter

The type of feature. Possible values are : switch, custom, quantity, range.

Supported operators : is, is_not, in, not_in

Example → type[is] = "boolean"

Supported operators: is, is_not, in, not_in
Example → boolean

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Feature object
Resource object representing feature